org.apache.ignite.internal.processors.timeout

## Class GridTimeoutObjectAdapter

- java.lang.Object
- - org.apache.ignite.internal.processors.timeout.GridTimeoutObjectAdapter

All Implemented Interfaces:
  GridTimeoutObject

Direct Known Subclasses:
  GridFutureRemapTimeoutObject

    public abstract class GridTimeoutObjectAdapter
    extends Object
    implements GridTimeoutObject

Default implementation for `GridTimeoutObject`.

### Constructor Summary

Constructors
`protected` `GridTimeoutObjectAdapter(IgniteUuid id, long timeout)`
`protected` `GridTimeoutObjectAdapter(long timeout)`

### Method Summary

Methods
`long` `endTime()`
`IgniteUuid` `timeoutId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.timeout.GridTimeoutObject

`onTimeout`

### Constructor Detail

#### GridTimeoutObjectAdapter

    protected GridTimeoutObjectAdapter(long timeout)

Parameters:
  `timeout` - Timeout for this object.

#### GridTimeoutObjectAdapter

    protected GridTimeoutObjectAdapter(IgniteUuid id,
                            long timeout)

Parameters:
  `id` - Timeout ID.
  `timeout` - Timeout for this object.

### Method Detail

#### timeoutId

    public IgniteUuid timeoutId()

Specified by:
  `timeoutId` in interface `GridTimeoutObject`
Returns:
  ID of the object.

#### endTime

    public long endTime()

Specified by:
  `endTime` in interface `GridTimeoutObject`
Returns:
  End time.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015